flashplayer-mozilla

Le
Klaus Becker
Salut,

j'utilise Squeeze et KDE4 sur AMD64.

Flashplayer-mozilla a fonctionné, mais maintenant il ne veut plus. Je l=
'ai
désinstallé et réinstallé et voici le résultat :

Paramétrage de flashplayer-mozilla (2:10.0.32.18-0.0)
*** NSPlugin Viewer *** ERROR: libnss3.so: cannot open shared object file:=
No
such file or directory
nspluginwrapper: no appropriate viewer found for
/usr/lib/flashplayer/libflashplayer.so

Pourtant libnss3.so existe :

locate libnss3

/usr/lib/libnss3.so


Est-ce que qn connaît la solution ?

cordialement

Klaus



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Questions / Réponses high-tech
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Kevin Hinault
Le #20034951
Le 1 septembre 2009 17:53, Klaus Becker
Salut,

j'utilise Squeeze et KDE4 sur AMD64.

Flashplayer-mozilla a fonctionné, mais maintenant il ne veut plus. Je l 'ai
désinstallé et réinstallé et voici le résultat :

Paramétrage de flashplayer-mozilla (2:10.0.32.18-0.0) ...
*** NSPlugin Viewer  *** ERROR: libnss3.so: cannot open shared object f ile: No
such file or directory
nspluginwrapper: no appropriate viewer found for
/usr/lib/flashplayer/libflashplayer.so

Pourtant libnss3.so existe :

locate libnss3
...
/usr/lib/libnss3.so




Cela me fait penser à deux choses :

- Aurais tu par hasard installé firefox 3.5 manuellement ? La version
fournit par Mozilla est prévue pour un OS 32bits et donc la lib de
flashplayer qui est en 64bits ne peut marcher avec et génère une
erreur. Auquel cas il te faut télécharger les sources de FF3.5 et le
recompiler, je l'ai fait y a quelques jours et ca prend en gros une
heure (le temps d'installer les bonnes librairies de dev en plus).

- Toujours bien lancer firefox via le script firefox contenu dans
l'archive : il met en place l'environnement adéquat pour firefox dans
la plupart des distribs. si tu lances directement firefox-bin alors tu
peux avoir des problèmes de lib non trouvés, voir même des
segmentation fault.

--
Kévin
Membre de l'April - « promouvoir et défendre le logiciel libre » -
http://www.april.org
http://identi.ca/khi - http://twitter.com/kh_i - http://system-linux.eu
Nick IRC : KevinH sur irc.mozilla.org - irc.debian.org - irc.freenode.net

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Klaus Becker
Le #20035261
Le mardi 01 septembre 2009 18:04:43, Kevin Hinault a écrit :
Le 1 septembre 2009 17:53, Klaus Becker > Salut,
>
> j'utilise Squeeze et KDE4 sur AMD64.
>
> Flashplayer-mozilla a fonctionné, mais maintenant il ne veut plus. Je
> l'ai désinstallé et réinstallé et voici le résultat :
>
> Paramétrage de flashplayer-mozilla (2:10.0.32.18-0.0) ...
> *** NSPlugin Viewer *** ERROR: libnss3.so: cannot open shared object
> file: No such file or directory
> nspluginwrapper: no appropriate viewer found for
> /usr/lib/flashplayer/libflashplayer.so
>
> Pourtant libnss3.so existe :
>
> locate libnss3
> ...
> /usr/lib/libnss3.so




Salut



Cela me fait penser à deux choses :

- Aurais tu par hasard installé firefox 3.5 manuellement ? La version
fournit par Mozilla est prévue pour un OS 32bits et donc la lib de
flashplayer qui est en 64bits ne peut marcher avec et génère une
erreur. Auquel cas il te faut télécharger les sources de FF3.5 et le
recompiler, je l'ai fait y a quelques jours et ca prend en gros une
heure (le temps d'installer les bonnes librairies de dev en plus).



J'avais oublié pendant les vacances, je crois bien l'avoir installé
manuellement, mais flash fonctionnait. Ce matin j'ai fait une mise à jour
(autour de 500 packets) qui s'est déroulé sans problème.

J'ai désinstallé et réinstallé Iceweasel à partir de expériment al, mais le
problème reste.

- Toujours bien lancer firefox via le script firefox contenu dans
l'archive : il met en place l'environnement adéquat pour firefox dans
la plupart des distribs. si tu lances directement firefox-bin alors tu
peux avoir des problèmes de lib non trouvés, voir même des
segmentation fault.



Je le lance par le menu (iceweasel %u) ou dans un terminal (iceweasel), le
résultat est le même. Je parle de la version de experimental.

ciao

Klaus

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Kevin Hinault
Le #20035651
Le 1 septembre 2009 18:27, Klaus Becker
J'ai désinstallé et réinstallé Iceweasel à partir de expérime ntal, mais le
problème reste.



As tu penser à regarder si les liens vers les bibliothèques utilisés
par iceweasel sont ok ?

# ldd /usr/lib/iceweasel/firefox-bin


--
Kévin
Membre de l'April - « promouvoir et défendre le logiciel libre » -
http://www.april.org
http://identi.ca/khi - http://twitter.com/kh_i - http://system-linux.eu
Nick IRC : KevinH sur irc.mozilla.org - irc.debian.org - irc.freenode.net

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Klaus Becker
Le #20035641
Le mardi 01 septembre 2009 18:41:56, Kevin Hinault a écrit :
Le 1 septembre 2009 18:27, Klaus Becker > J'ai désinstallé et réinstallé Iceweasel à partir de expéri mental, mais
> le problème reste.

As tu penser à regarder si les liens vers les bibliothèques utilisés
par iceweasel sont ok ?

# ldd /usr/lib/iceweasel/firefox-bin



Je connaissas pas ça. Ca donne chez moi :

# ldd /usr/lib/iceweasel/firefox-bin
linux-vdso.so.1 => (0x00007fffd77ff000)
libpthread.so.0 => /lib/libpthread.so.0 (0x00007fa4bde55000)
libdl.so.2 => /lib/libdl.so.2 (0x00007fa4bdc51000)
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fa4bd943000)
libc.so.6 => /lib/libc.so.6 (0x00007fa4bd5f2000)
/lib64/ld-linux-x86-64.so.2 (0x00007fa4be070000)
libm.so.6 => /lib/libm.so.6 (0x00007fa4bd36f000)
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007fa4bd155000)

Ca a l'air d'être bon non ? Ou est-ce que les lignes 1 et 6 signalent une
erreur ?

Klaus

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Kevin Hinault
Le #20035941
Le 1 septembre 2009 18:48, Klaus Becker
Ca a l'air d'être bon non ? Ou est-ce que les lignes 1 et 6 signalent u ne
erreur ?



Oui tout est bon la dedans, les liens sont ok. Quand tu as une erreur
tu vois un "Not Found" et alors le binaire ne peut pas se lancer.

Essaie sur la même chose sur le plugin flash :

# ldd /etc/alternatives/flash-mozilla.so

Peux tu fournir aussi les infos sur le paquet flash installé ? :

# dpkg -l | grep flash

--
Kévin

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Klaus Becker
Le #20036241
Le mardi 01 septembre 2009 19:02:27, Kevin Hinault a écrit :
Le 1 septembre 2009 18:48, Klaus Becker > Ca a l'air d'être bon non ? Ou est-ce que les lignes 1 et 6 signalent une
> erreur ?

Oui tout est bon la dedans, les liens sont ok. Quand tu as une erreur
tu vois un "Not Found" et alors le binaire ne peut pas se lancer.

Essaie sur la même chose sur le plugin flash :

# ldd /etc/alternatives/flash-mozilla.so



# ldd /etc/alternatives/flash-mozilla.so
ldd: /etc/alternatives/flash-mozilla.so: Aucun fichier ou dossier de ce type

c'est ça l'erreur ?


Peux tu fournir aussi les infos sur le paquet flash installé ? :

# dpkg -l | grep flash



$ dpkg -l | grep flash
iF flashplayer-mozilla 2:10.0.32.18-0.0 Macromedia Flash Player

Klaus


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Kevin Hinault
Le #20036661
Le 1 septembre 2009 19:30, Klaus Becker
# ldd /etc/alternatives/flash-mozilla.so
ldd: /etc/alternatives/flash-mozilla.so: Aucun fichier ou dossier de ce t ype

c'est ça l'erreur ?



En soit oui c'en est une mais pas celle que j'attendais.
C'est la que devrais se trouver le plugin. S'il est absent c'est un peu ano rmal.

A ma connaissance, il y a le plugin ici : /etc/alternatives/flash-mozilla.s o
Un lien vers ce plugin ici : /usr/lib/mozilla/plugins/flash-mozilla.so
et une copie du plugin ici : /var/lib/dpkg/alternatives/flash-mozilla.so



Peux tu fournir aussi les infos sur le paquet flash installé ? :

# dpkg -l | grep flash



$ dpkg -l | grep flash
iF  flashplayer-mozilla 2:10.0.32.18-0.0    Macromedia Flash Player



Hum je ne sais pas quel paquet tu as voulu installer mais on ne dirait
pas le paquet dans les dépots debian qui est flashplugin-nonfree.

De plus ton "iF" = Souhait : Installé, Etat : echec-conFig.

En temps normal avec un paquet bien installé tu aurais ca :

ii flashplugin-nonfree 1:2.7 Adobe Flash
Player - browser plugin

Soit ii = Souhait : Installé, Etat : Installé.

(pour le détail fait un dpkg -l *flash* ).



--
Kévin
Membre de l'April - « promouvoir et défendre le logiciel libre » -
http://www.april.org
http://identi.ca/khi - http://twitter.com/kh_i - http://system-linux.eu
Nick IRC : KevinH sur irc.mozilla.org - irc.debian.org - irc.freenode.net

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Klaus Becker
Le #20036911
Le mardi 01 septembre 2009 19:49:18, Kevin Hinault a écrit :
Le 1 septembre 2009 19:30, Klaus Becker > # ldd /etc/alternatives/flash-mozilla.so
> ldd: /etc/alternatives/flash-mozilla.so: Aucun fichier ou dossier de ce
> type
>
> c'est ça l'erreur ?

En soit oui c'en est une mais pas celle que j'attendais.
C'est la que devrais se trouver le plugin. S'il est absent c'est un peu
anormal.

A ma connaissance, il y a le plugin ici :
/etc/alternatives/flash-mozilla.so Un lien vers ce plugin ici :
/usr/lib/mozilla/plugins/flash-mozilla.so et une copie du plugin ici :
/var/lib/dpkg/alternatives/flash-mozilla.so

>> Peux tu fournir aussi les infos sur le paquet flash installé ? :
>>
>> # dpkg -l | grep flash
>
> $ dpkg -l | grep flash
> iF flashplayer-mozilla 2:10.0.32.18-0.0 Macromedia Flash Player

Hum je ne sais pas quel paquet tu as voulu installer mais on ne dirait
pas le paquet dans les dépots debian qui est flashplugin-nonfree.

De plus ton "iF" = Souhait : Installé, Etat : echec-conFig.

En temps normal avec un paquet bien installé tu aurais ca :

ii flashplugin-nonfree 1:2.7 Adobe Flash
Player - browser plugin

Soit ii = Souhait : Installé, Etat : Installé.

(pour le détail fait un dpkg -l *flash* ).



Je viens d'installer flashplugin-nonfree. Ca m'a viré flashplayer-mozilla et...
ça marche !

Il y a quand même qc qui a changé : selon mes souvenirs, flashplugin-no nfree
procurait flash 9, maintenant il procure flash 10. Et pourquoi est-ce que
flashplayer-mozilla ne fonctionne plus alors qu'il focntionnait avant?

Enfin l'essentiel c'est que le problème est réglé, merci :-)

Klaus



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Kevin Hinault
Le #20037031
Le 1 septembre 2009 20:19, Klaus Becker
Il y a quand même qc qui a changé : selon mes souvenirs, flashplugin- nonfree
procurait flash 9, maintenant il procure flash 10. Et pourquoi est-ce que
flashplayer-mozilla ne fonctionne plus alors qu'il focntionnait avant?



Au hasard on trouve ceci dans le changelog du paquet :

flashplugin-nonfree (1:2.1) unstable; urgency=low

* Moving to unstable.
* update-flashplugin-nonfree: Added a message about update-alternatives.
* Closes: #501029, #500710, #502859, #508212, #499621, #508241, #508253.
* Closes: #506134, #497385.

-- Bart Martens

flashplugin-nonfree (1:2) experimental; urgency=low

* Download 64 bit Adobe Flash Player for amd64.

-- Bart Martens

flashplugin-nonfree (1:1.8.1) unstable; urgency=low

* Moving to unstable. Closes: #501110, #503689, #507707, #508036.
* update-flashplugin-nonfree: Tuned wget options. Closes: #499388, #504 993.

-- Bart Martens flashplugin-nonfree (1:1.8) experimental; urgency=low

* debian/rules: Updated for Adobe Flash Player 10.
* update-flashplugin-nonfree: Updated for Adobe Flash Player 10.
* update-flashplugin-nonfree: Added some verbose output.

src : http://packages.debian.org/changelogs/pool/contrib/f/flashplugin-nonf ree/flashplugin-nonfree_2.7/changelog

Je ne suis pas familier de ce changelog mais si je cromprend bien, le
paquet va chercher le plugin flash 64bits depuis quelques mois en
experimental et ca a ensuite été ajouté dans squeeze.

Adobe considère depuis un mois que Flash v10 en 64bits est stable (
http://labs.adobe.com/downloads/flashplayer10.html ) et le fait est
que adobe considérait sa version comme unstable ne veut pas dire que
c'était le cas du mainteneur et qu'il a été décidé de passer le p aquet
en testing.

Ce n'est qu'une supposition.

:)

--
Kévin

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme